### Method

# Template Template expand_string

#### Declaration

    gchar*
    tmpl_template_expand_string (
      TmplTemplate* self,
      TmplScope* scope,
      GError** error
    )

#### Description

Expands the template and returns the result as a string.

#### Parameters

`scope`

  Type: `TmplScope`

  A `TmplScope` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gchar*`

A newly allocated string, or `NULL` upon failure.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.